Subject: ANNOUNCE: An Archie/Prospero module for Perl5
From: [email-masked] (Greg Bossert)
Date: 18 Jun 1995 23:35:07 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc,comp.lang.perl

Archie Module and WWW Gateway for Perl 5
========================================

I've written a Perl 5 package, Archie.pm, to perform Archie queries
directly via the Prospero protocol. This approach is more efficient,
robust, and portable than spawning a child process to run a
command-line archie client.  It's not quite a general Prospero
package, though I hope to get there eventually...  There is, however,
fairly generic support for ARDP (the Asynchronous Reliable Delivery
Protocol).

I've also written a WWW CGI gateway to make Archie queries using the
above module.  (In fact, the WWW gateway was the impetus for writing
the module.) You can try out this gateway on our server, at:

    <http://www-ns.rutgers.edu/htbin/archie>

Documentation and software is available at:

    <http://www-ns.rutgers.edu/doc/archie/>

The library and gateway are also available via anonymous FTP from:

    <ftp://rutgers.rutgers.edu/pub/www/archie/>

I should have a command-line client using the module up there soon; it
ought to be pretty simple...

Comments and criticisms to Greg Bossert <[email-masked]>.
Have fun!
--- greg bossert                 rutgers university network services ---
--- [email-masked]                                          ---
--- http://www-ns.rutgers.edu/~bossert                               ---
---         i have never been afraid to change -- Happy              ---
---           the circumstances of the world   -- Rhodes             ---